%define name mandriva-background-project
%define version 2010.1
%define release %mkrel 2

Summary:	Artwork by the Mandriva Community
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		%{name}-%{version}.tar.bz2
License:	CC-BY-SA
Group:		Graphics
URL:		http://forum.mandriva.com/viewtopic.php?t=91640
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Artwork made by the Mandriva Community. 
If you would like to contribute artwork, 
please post it here: http://forum.mandriva.com/viewtopic.php?t=91640

%package 4x3
Summary:	Artwork by the Mandriva Community
Group:		Graphics
%description 4x3
A collection of pictures made by the Mandriva community for desktop 
backgrounds. This package is specifically for 4:3 aspect ratios, 
ie 1024x768, please use the one that matches your screen size, 
or the KDE4 package if you use KDE4.

%package 5x4
Summary:	Artwork by the Mandriva Community
Group:		Graphics
%description 5x4
A collection of pictures made by the Mandriva community for desktop 
backgrounds. This package is specifically for 5:4 aspect ratios, 
ie 1280x1024, please use the one that matches your screen size, 
or the KDE4 package if you use KDE4.

%package 16x10
Summary:	Artwork by the Mandriva Community
Group:		Graphics
%description 16x10
A collection of pictures made by the Mandriva community for desktop 
backgrounds. This package is specifically for 16:10 aspect ratios, 
ie 1280x800, please use the one that matches your screen size, 
or the KDE4 package if you use KDE4.

%package screensaver
Summary:	Artwork by the Mandriva Community
Group:		Graphics
%description screensaver
Artwork made by the Mandriva community to complement the standard 
Mandriva screensaver.

%package KDE4
Summary:	Artwork by the Mandriva Community
Group:		Graphics
%description KDE4
Artwork made by the Mandriva community for desktop backgrounds. 
This package is specifically for KDE4, there are 3 others 
for use with the other Desktops.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_datadir}/mdk/backgrounds
cp --recursive -f  4x3/ $RPM_BUILD_ROOT/%{_datadir}/mdk/backgrounds
cp --recursive -f 5x4/ $RPM_BUILD_ROOT/%{_datadir}/mdk/backgrounds
cp --recursive -f 16x10/ $RPM_BUILD_ROOT/%{_datadir}/mdk/backgrounds
install -d $RPM_BUILD_ROOT/%{_datadir}/mdk/screensaver
cp --recursive -f screensaver/* $RPM_BUILD_ROOT/%{_datadir}/mdk/screensaver
install -d $RPM_BUILD_ROOT/%{_datadir}/wallpapers
cp --recursive -f KDE4/* $RPM_BUILD_ROOT/%{_datadir}/wallpapers

%clean
rm -rf ${RPM_BUILD_ROOT}

%files 4x3 
%defattr(-,root,root)
%dir %{_datadir}/mdk/backgrounds/4x3
%{_datadir}/mdk/backgrounds/*

%files 5x4
%defattr(-,root,root)
%dir %{_datadir}/mdk/backgrounds/5x4
%{_datadir}/mdk/backgrounds/5x4/*

%files 16x10
%defattr(-,root,root)
%dir %{_datadir}/mdk/backgrounds/16x10
%{_datadir}/mdk/backgrounds/16x10/*

%files screensaver
%defattr(-,root,root)
%dir %{_datadir}/mdk/screensaver
%{_datadir}/mdk/screensaver

%files KDE4
%defattr(-,root,root)
%dir %{_datadir}/wallpapers
%{_datadir}/wallpapers/*



%changelog
* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.1-2mdv2011.0
+ Revision: 612807
- the mass rebuild of 2010.1 packages

* Wed Dec 09 2009 Stéphane Téletchéa <steletch@mandriva.org> 2010.1-1mdv2010.1
+ Revision: 475201
- import mandriva-background-project


* Tue Nov 10 2009 Donald Stewart <schultz@mandriva.org> 2010.1-1mdv2010.1
- merge screensaver and KDE4 package
- rebuild for 2010.1
* Fri Oct 02 2009 Donald Stewart <schultz@mandriva.org> 2010-1mdv2010.0
- combine sources for 4x3, 5x4 and 16x10
- rewrite spec
